This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 481739 - Base KDE applications (e.g. ksysguard) should have OnlyShowIn=KDE
Base KDE applications (e.g. ksysguard) should have OnlyShowIn=KDE
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 08:17 EST by Michel Alexandre Salim
Modified: 2009-01-28 11:44 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 11:44:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2009-01-27 08:17:56 EST
Description of problem:
GNOME tools such as gnome-system-monitor do not show up on the KDE menu, as they duplicate provided KDE functionalities. However, the reverse is not true: for example, ksysguard shows up in the GNOME menu.

Version-Release number of selected component (if applicable):
kdebase-workspace-4.2.0-1.fc11

How reproducible:
Always

Steps to Reproduce:
1. Install kdebase-workspace
2. Log into GNOME
3. Examine the application menu
  
Actual results:
Two entries for system monitor and several other applications

Expected results:
KDE applications should not show up on other desktops, especially

Additional info:
This affects several kdebase applications as well
Comment 1 Rex Dieter 2009-01-27 10:10:48 EST
I would categorically disagree with the general assertion "KDE applications should not show up on other desktops".

Now, a case-by-case justification for making certain items kde-only may be warranted, and I'd welcome such discussion.  Or... perhaps generalizing the discussion is possible too... but either way, bugzilla is likely a poor forum to have such discourse.

Might I suggest taking this issue to a relevant mailing list, perhaps fedora-devel or fedora-desktop?
Comment 2 Rex Dieter 2009-01-28 11:44:10 EST
fyi,
https://www.redhat.com/archives/fedora-packaging/2009-January/msg00141.html

Closing->NotABug (at least a consensusor guideline is reached on how to better address this).

Note You need to log in before you can comment on or make changes to this bug.